<link href="./modules/servers/hvmazure/static/style.css" rel="stylesheet">
<link href="./modules/servers/hvmazure/static/sweetalert.css" rel="stylesheet">
<script type='text/javascript' src='./modules/servers/hvmazure/static/sweetalert.min.js'></script>
<script type='text/javascript' src='./modules/servers/hvmazure/static/echarts.min.js'></script>
<script type='text/javascript' src='./modules/servers/hvmazure/static/hvm.js'></script>
<script type='text/javascript'>
    var serverid = {$serviceid}
</script>

<div class="row">
{if $params['status'] =='Active'}
    <div class="col-xs-12 col-sm-6">
        <div class="btn btn-default" style="margin: 0px; height: 100%;width: 100%;user-select: auto;">
            <div class="hvm-card__body">
                <div class="hvm-form">
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>产品服务：</label></div>
                        <div class="hvm-form__controls">{$product}</div>
                    </div>
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>产品分类：</label></div>
                        <div class="hvm-form__controls">{$groupname}</div>
                    </div>
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>当前状态：</label></div>
                        <div class="hvm-form__controls">{$status}</div>
                    </div>
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>付款方式：</label></div>
                        <div class="hvm-form__controls">{$paymentmethod}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xs-12 col-sm-6">
        <div class="btn btn-default" style="margin: 0px; height: 100%;width: 100%;user-select: auto;">
            <div class="hvm-card__body">
                <div class="hvm-form">
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>注册日期：</label></div>
                        <div class="hvm-form__controls">{$regdate}</div>
                    </div>
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>下次付款：</label></div>
                        <div class="hvm-form__controls">{$nextduedate}</div>
                    </div>
                    {if $firstpaymentamount neq $recurringamount}
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>{$LANG.firstpaymentamount}：</label></div>
                        <div class="hvm-form__controls">{$firstpaymentamount}</div>
                    </div>
                    {/if}
                    {if $billingcycle != $LANG.orderpaymenttermonetime && $billingcycle != $LANG.orderfree}
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>{$LANG.recurringamount}：</label></div>
                        <div class="hvm-form__controls">{$recurringamount}</div>
                    </div>
                    {/if}
                    <div class="hvm-form__item">
                        <div class="hvm-form__label"><label>账单周期：</label></div>
                        <div class="hvm-form__controls">{$billingcycle}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{if $vmstatus == true}
    <div class="col-xs-12 col-sm-12">
        <div class="notification" style="padding:15px;">
            <strong>特别声明：</strong> <p>使用本服务必须遵守当地相关法律法规；<br>严禁使用本网络进行网络攻击、Spam、P2P下载、BT版权下载及所有国家法律所不允许的非法活动</p>
        </div>
    </div>
    <div id="displayStateinfo" class="col-lg-12">
        <div class="row">
            <div class="col-xs-12 col-sm-6">
                <div class="btn btn-default" style="margin: 0px; height: 100%;width: 100%;user-select: auto;">
                    <div class="hvm-card__body">
                        <div class="hvm-form">
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例状态：</label></div>
                                <div class="hvm-form__controls"><span class="hvm-badge hvm-badge-{$data.rawstatus|strtolower}"></span>{$data.status}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例地区：</label></div>
                                <div class="hvm-form__controls">{$data.region}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例系统：</label></div>
                                <div class="hvm-form__controls">{$data.ImageName}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例规格：</label></div>
                                <div class="hvm-form__controls">{$data.InstanceType}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-6">
                <div class="btn btn-default" style="margin: 0px; height: 100%;width: 100%;user-select: auto;">
                    <div class="hvm-card__body">
                        <div class="hvm-form">
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例名称：</label></div>
                                <div class="hvm-form__controls bg-color-{$data.rawstatus|strtolower}">{$domain}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例网络：</label></div>
                                <div class="hvm-form__controls">{$data.PublicIpAddress}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例帐号：</label></div>
                                <div class="hvm-form__controls">{$username}</div>
                            </div>
                            <div class="hvm-form__item">
                                <div class="hvm-form__label"><label>实例密码：</label></div>
                                <div class="hvm-form__controls">{$password}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12"  style="padding: 20px 12px;">
                <a href="javascript:void(0);" class="btn btn-default" id="cloudreboot" data-id="{$serviceid}"><span class="fa fa-repeat text-primary" style="margin-right: 8px;height: 17px;"></span> 重启实例</a>
                <a href="javascript:void(0);" class="btn btn-default" style="margin-left: 10px;" id="cloudboot" data-id="{$serviceid}"><span class="fa fa-play text-success" style="margin-right: 8px;height: 17px;"></span> 开机实例</a>
                <a href="javascript:void(0);" class="btn btn-default" style="margin-left: 10px;" id="cloudshutdown" data-id="{$serviceid}"><span class="fa fa-stop text-danger" style="margin-right: 8px;height: 17px;"></span> 关机实例</a>
                <a href="javascript:void(0);" class="btn btn-default" style="margin-left: 10px;" id="cloudchangeip" data-id="{$serviceid}"><span class="fa fa-retweet text-info" style="margin-right: 8px;height: 17px;"></span> 更换 IP</a>
            </div>
            <div class="col-lg-12" id="graphsout" style="margin-top: 20px">
                <div id="networkechart"  style="min-height: 300px;width: 100%;" class="btn btn-default"></div>
                <div id="cpuechart"  style="min-height: 300px;width: 100%; margin-top: 20px;" class="btn btn-default"></div>
            </div>
        </div>
    </div>
{else}
    <div class="col-md-12">
        <div class="list-group-item" style="color: var(--list-group-item-link-active-color);background-color: var(--list-group-item-link-active-bg);border-color: var(--list-group-item-link-active-border);border-bottom-left-radius: var(--list-group-border-radius);border-bottom-right-radius: var(--list-group-border-radius);">
            <div class="alert-icon"><i class="flaticon-warning"></i></div>
            <div class="alert-text">
                <strong>
                    <p>该实例有可能已翻车,请发送服务单到支持部门.</p>
                    <p>实例IP：{$data.PublicIpAddress}</p>
                    <p>实例ID：{$data.InstanceId}</p>
                </strong>
            </div>
        </div>
    </div>
{/if}
{elseif $params['status'] =='Pending'}
    <div class="col-md-12">
        <div class="list-group-item" style="color: var(--list-group-item-link-active-color);background-color: var(--list-group-item-link-active-bg);border-color: var(--list-group-item-link-active-border);border-bottom-left-radius: var(--list-group-border-radius);border-bottom-right-radius: var(--list-group-border-radius);">
            <div class="alert-icon"><i class="flaticon-warning"></i></div>
            <div class="alert-text">
                <strong>该实例审核中，请等待开通。</strong>
            </div>
        </div>
    </div>
{else}
    <div class="col-md-12">
        <div class="list-group-item" style="color: var(--list-group-item-link-active-color);background-color: var(--list-group-item-link-active-bg);border-color: var(--list-group-item-link-active-border);border-bottom-left-radius: var(--list-group-border-radius);border-bottom-right-radius: var(--list-group-border-radius);">
            <div class="alert-icon"><i class="flaticon-warning"></i></div>
            <div class="alert-text">
                <strong>该实例已被系统删除或者已到期被暂停</strong>
            </div>
        </div>
    </div>
{/if}
</div>